#include <iostream>
#include <vector>
#include <queue>
using namespace std;

int main()
{
	queue<pair<string, int>> Q;
	
	Q.push({"Ana", 14});  // O(1)
	Q.push({"Nelu", 13});
	Q.push({"Gina", 16});
	Q.push({"Delia", 14});
	
	while (!Q.empty()) // O(1)
	{
		auto p = Q.front(); // O(1)
		Q.pop(); // O(1)
		cout << p.first << ' ' << p.second << '\n';
	}
	
	return 0;
}
