#include <iostream>
#include <vector>
#include <queue>
#include <tuple>
using namespace std;

int main()
{
	queue<pair<string, int>> Q;
	
	Q.push({"Ana", 14});  // O(1)
	Q.push({"Nelu", 13});
	Q.push({"Gina", 16});
	Q.push({"Delia", 14});
	
	while (!Q.empty()) // O(1)
	{
		auto [nume, varsta] = Q.front(); // tie() - C++17
		Q.pop(); // O(1)
		cout << nume << ' ' << varsta << '\n';
	}
	
	return 0;
}
